import java.io.*;
import java.util.Map;
import java.util.Arrays;
import ddf.minim.*;

Game game;
TextureManager texture_manager;
void setup() {
  size(960, 720);
  game = new Game();
  surface.setTitle(get_surface_name());
}

void draw() {
  try {
    game.update();
  } catch (Exception e) {
    try {
      PrintStream ps = new PrintStream(sketchPath()+"\\data\\log.txt");
      e.printStackTrace(ps);
      launch(sketchPath()+"\\data\\error.vbs");
    } catch (FileNotFoundException not_gonna_happen) {
      println("file not found");
    }
    exit();
  }
  //game.update();
}

void keyPressed() {
  game.keyPressed();
}

void keyReleased() {
  game.keyReleased();
}

void keyTyped() {
  game.keyTyped();
}

void mouseClicked() {
  game.mouseClicked();
}

PImage gt(String name) {
  return texture_manager.get_texture(name);
}

PApplet get_papplet() {
  return this;
}

String get_surface_name() {
  return "The Elder Trolls 2 - "+game.renderGameVer(getClass().getSimpleName());
}